edu.sc.seis.sod.status

## Class TemplateFileLoader

- java.lang.Object
- - edu.sc.seis.sod.status.TemplateFileLoader

-     public class TemplateFileLoader
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateFileLoader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.w3c.dom.Element` | `getTemplate(java.lang.ClassLoader cl, java.lang.String loc)`
    `static org.w3c.dom.Element` | `getTemplate(org.w3c.dom.Element el)`
    `static java.net.URL` | `getUrl(java.lang.ClassLoader cl, java.lang.String loc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateFileLoader

          public TemplateFileLoader()

  - ### Method Detail

    - #### getTemplate

          public static org.w3c.dom.Element getTemplate(org.w3c.dom.Element el)
                                                 throws java.net.MalformedURLException,
                                                        java.io.IOException,
                                                        org.xml.sax.SAXException,
                                                        javax.xml.parsers.ParserConfigurationException

      Throws:
        `java.net.MalformedURLException`
        `java.io.IOException`
        `org.xml.sax.SAXException`
        `javax.xml.parsers.ParserConfigurationException`

    - #### getTemplate

          public static org.w3c.dom.Element getTemplate(java.lang.ClassLoader cl,
                                                        java.lang.String loc)
                                                 throws java.net.MalformedURLException,
                                                        org.xml.sax.SAXException,
                                                        javax.xml.parsers.ParserConfigurationException,
                                                        java.io.IOException

      Throws:
        `java.net.MalformedURLException`
        `org.xml.sax.SAXException`
        `javax.xml.parsers.ParserConfigurationException`
        `java.io.IOException`

    - #### getUrl

          public static java.net.URL getUrl(java.lang.ClassLoader cl,
                                            java.lang.String loc)
                                     throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`